lomiri::shell::application::MirSurfaceItemInterface Class Reference

Renders a MirSurface in a QML scene and forwards the input events it receives to it. More...

`#include <lomiri/shell/application/MirSurfaceItemInterface.h>`

Inheritance diagram for lomiri::shell::application::MirSurfaceItemInterface:
[legend]
Collaboration diagram for lomiri::shell::application::MirSurfaceItemInterface:
[legend]

## Public Types

enum | FillMode { Stretch , PadOrCrop }

## Properties

lomiri::shell::application::MirSurfaceInterface * | surface
| The surface to be displayed.
Mir::Type | type
| Type of the given surface or Mir.UnknownType if no surface is set.
Mir::State | surfaceState
| State of the given surface or Mir.UnknownState if no surface is set.
QString | name
| Name of the given surface or an empty string if no surface is set.
bool | live
| True if the item has a surface and that surface has a mir client bound to it. A "zombie" (live == false) surface never becomes alive again.
Mir::OrientationAngle | orientationAngle
| Orientation angle of the given surface. More...
bool | consumesInput
| Whether the item will forward activeFocus, touch events, mouse events and key events to its surface. It's false by default. Only one item should have this property enabled for a given surface.
int | surfaceWidth
| The desired width for the contained MirSurface. It's ignored if set to zero or a negative number The default value is zero.
int | surfaceHeight
| The desired height for the contained MirSurface. It's ignored if set to zero or a negative number The default value is zero.
FillMode | fillMode
Mir::ShellChrome | shellChrome
| The Shell chrome mode.

## Detailed Description

Renders a MirSurface in a QML scene and forwards the input events it receives to it.

You can have multiple MirSurfaceItems displaying the same MirSurface. But care must be taken that only one of them feeds the MirSurface with input events and also only one resizes it.

## Property Documentation

## orientationAngle

Mir::OrientationAngle lomiri::shell::application::MirSurfaceItemInterface::orientationAngle

read write

Orientation angle of the given surface.

How many degrees, clockwise, the UI in the surface has to rotate to match shell's UI orientation

The documentation for this class was generated from the following file:

- include/lomiri/shell/application/MirSurfaceItemInterface.h